### Enumeration

# Gtk TreeViewDropPosition

since: 4.0

#### Declaration

    enum Gtk.TreeViewDropPosition

#### Description [src]

An enum for determining where a dropped row goes.

Available since: 4.0

#### Members

`GTK_TREE_VIEW_DROP_BEFORE`

  Dropped row is inserted before.

  - Value: `0`
  - Nickname: `before`
  - Available since: 4.0
`GTK_TREE_VIEW_DROP_AFTER`

  Dropped row is inserted after.

  - Value: `1`
  - Nickname: `after`
  - Available since: 4.0
`GTK_TREE_VIEW_DROP_INTO_OR_BEFORE`

  Dropped row becomes a child or is inserted before.

  - Value: `2`
  - Nickname: `into-or-before`
  - Available since: 4.0
`GTK_TREE_VIEW_DROP_INTO_OR_AFTER`

  Dropped row becomes a child or is inserted after.

  - Value: `3`
  - Nickname: `into-or-after`
  - Available since: 4.0